<?xml version="1.0" encoding="UTF-8"?>
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="factura" pageWidth="595" pageHeight="842" columnWidth="555" leftMargin="20" rightMargin="20" topMargin="20" bottomMargin="20" uuid="a90b5cc6-9a35-48d7-a2d0-ef67a99b13b8">
	<property name="ireport.zoom" value="3.0"/>
	<property name="ireport.x" value="30"/>
	<property name="ireport.y" value="864"/>
	<style name="table">
		<box>
			<pen lineWidth="1.0" lineColor="#000000"/>
		</box>
	</style>
	<style name="table_TH" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="table_CH" mode="Opaque" backcolor="#FFBFBF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="table_TD" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="Crosstab Data Text" hAlign="Center"/>
	<style name="table 1">
		<box>
			<pen lineWidth="1.0" lineColor="#000000"/>
		</box>
	</style>
	<style name="table 1_TH" mode="Opaque" backcolor="#F0F8FF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="table 1_CH" mode="Opaque" backcolor="#BFE1FF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="table 1_TD" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<subDataset name="Table Dataset 1" uuid="bc0b0826-41c5-42bc-8980-c3485612193a"/>
	<subDataset name="Table Dataset 2" uuid="13803148-e04d-401a-b2f7-b7b899217fc1"/>
	<parameter name="RUC" class="java.lang.String"/>
	<parameter name="NUM_AUT" class="java.lang.String"/>
	<parameter name="FECHA_AUT" class="java.lang.String"/>
	<parameter name="TIPO_EMISION" class="java.lang.String"/>
	<parameter name="CLAVE_ACC" class="java.lang.String"/>
	<parameter name="LOGO" class="java.io.InputStream"/>
	<parameter name="RAZON_SOCIAL" class="java.lang.String"/>
	<parameter name="DIR_MATRIZ" class="java.lang.String"/>
	<parameter name="DIR_SUCURSAL" class="java.lang.String"/>
	<parameter name="CONT_ESPECIAL" class="java.lang.String"/>
	<parameter name="LLEVA_CONTABILIDAD" class="java.lang.String"/>
	<parameter name="RS_COMPRADOR" class="java.lang.String"/>
	<parameter name="RUC_COMPRADOR" class="java.lang.String"/>
	<parameter name="FECHA_EMISION" class="java.lang.String"/>
	<parameter name="GUIA" class="java.lang.String"/>
	<parameter name="SUBREPORT_DIR" class="java.lang.String" isForPrompting="false">
		<defaultValueExpression><![CDATA["/home/jorjoluiso/NetBeansProjects/ReportElectronica/resources/reportes/"]]></defaultValueExpression>
	</parameter>
	<parameter name="VALOR_TOTAL" class="java.lang.Object"/>
	<parameter name="DESCUENTO" class="java.lang.String"/>
	<parameter name="IVA" class="java.lang.String"/>
	<parameter name="IVA_0" class="java.lang.String"/>
	<parameter name="IVA_12" class="java.lang.String"/>
	<parameter name="ICE" class="java.lang.String"/>
	<parameter name="SUBTOTAL" class="java.lang.String"/>
	<parameter name="NUM_FACT" class="java.lang.String"/>
	<parameter name="PROPINA" class="java.lang.String"/>
	<parameter name="NO_OBJETO_IVA" class="java.lang.String"/>
	<parameter name="TOTAL_DESCUENTO" class="java.lang.String"/>
	<parameter name="AMBIENTE" class="java.lang.String"/>
	<parameter name="NOM_COMERCIAL" class="java.lang.String"/>
	<parameter name="IRBPNR" class="java.math.BigDecimal"/>
	<parameter name="EXENTO_IVA" class="java.lang.String"/>
	<parameter name="SUBREPORT_PAGOS" class="java.lang.String" isForPrompting="false"/>
	<field name="codigoPrincipal" class="java.lang.String"/>
	<field name="codigoAuxiliar" class="java.lang.String"/>
	<field name="cantidad" class="java.lang.String"/>
	<field name="descripcion" class="java.lang.String"/>
	<field name="precioUnitario" class="java.lang.String"/>
	<field name="precioTotalSinImpuesto" class="java.lang.String"/>
	<field name="detalle1" class="java.lang.String"/>
	<field name="detalle2" class="java.lang.String"/>
	<field name="detalle3" class="java.lang.String"/>
	<field name="infoAdicional" class="java.util.Collection"/>
	<field name="formasPago" class="java.util.Collection"/>
	<field name="descuento" class="java.lang.String"/>
	<background>
		<band height="802" splitType="Stretch"/>
	</background>
	<title>
		<band height="336" splitType="Stretch">
			<rectangle radius="10">
				<reportElement mode="Transparent" x="256" y="1" width="295" height="269" backcolor="#FFFFFF" uuid="33be5cc5-f3a2-4007-ae22-37b88924c6b6"/>
			</rectangle>
			<staticText>
				<reportElement mode="Transparent" x="301" y="7" width="65" height="20" uuid="2fbf7498-3246-4d72-bfe1-d270b10fc48e"/>
				<textElement verticalAlignment="Middle">
					<font size="12" isBold="true"/>
				</textElement>
				<text><![CDATA[R.U.C.:]]></text>
			</staticText>
			<staticText>
				<reportElement mode="Transparent" x="301" y="28" width="178" height="21" uuid="d29b8ca0-e2e6-4b48-9263-46b2048b2142"/>
				<textElement verticalAlignment="Middle">
					<font size="13" isBold="true"/>
				</textElement>
				<text><![CDATA[F A C T U R A]]></text>
			</staticText>
			<staticText>
				<reportElement mode="Transparent" x="267" y="73" width="281" height="20" uuid="2abd1160-6504-435a-9c8c-f65fbb1df633"/>
				<textElement verticalAlignment="Middle">
					<font size="8" isBold="true"/>
				</textElement>
				<text><![CDATA[NÚMERO DE AUTORIZACIÓN]]></text>
			</staticText>
			<staticText>
				<reportElement mode="Transparent" x="301" y="117" width="99" height="26" uuid="6e25b4fc-b040-4c10-bf7f-3f4a395184f1"/>
				<textElement verticalAlignment="Middle">
					<font size="9"/>
				</textElement>
				<text><![CDATA[FECHA Y HORA DE AUTORIZACIÓN]]></text>
			</staticText>
			<staticText>
				<reportElement mode="Transparent" x="300" y="191" width="133" height="20" uuid="e4a53265-9faf-4ab6-9c3c-218b91752202"/>
				<textElement>
					<font size="12"/>
				</textElement>
				<text><![CDATA[CLAVE DE ACCESO]]></text>
			</staticText>
			<componentElement>
				<reportElement mode="Transparent" x="267" y="213" width="275" height="26" isRemoveLineWhenBlank="true" isPrintInFirstWholeBand="true" uuid="b5e94d59-0eb5-433b-b079-366f4b558350"/>
				<jr:Codabar xmlns:jr="http://jasperreports.sourceforge.net/jasperreports/components" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports/components http://jasperreports.sourceforge.net/xsd/components.xsd" textPosition="none">
					<jr:codeExpression><![CDATA[$P{CLAVE_ACC}]]></jr:codeExpression>
				</jr:Codabar>
			</componentElement>
			<image hAlign="Left" isUsingCache="true">
				<reportElement x="0" y="0" width="244" height="115" uuid="ae3297e3-bc8a-4cde-8b99-a3fa6f8b5513"/>
				<imageExpression><![CDATA[$P{LOGO}]]></imageExpression>
			</image>
			<rectangle radius="10">
				<reportElement mode="Transparent" x="0" y="115" width="252" height="155" uuid="5d4941fc-b1f2-4942-acbf-dde893953955"/>
			</rectangle>
			<staticText>
				<reportElement x="6" y="157" width="49" height="41" uuid="fb88b912-2ada-4f45-87cc-1f49b87aaa4a"/>
				<textElement verticalAlignment="Top">
					<font size="8" isBold="true"/>
				</textElement>
				<text><![CDATA[Dirección Matriz:]]></text>
			</staticText>
			<staticText>
				<reportElement x="6" y="198" width="51" height="41" uuid="3d67a632-9da3-4019-9335-7304a8bfe8aa"/>
				<textElement verticalAlignment="Middle">
					<font size="8" isBold="true"/>
				</textElement>
				<text><![CDATA[Dirección Sucursal:]]></text>
			</staticText>
			<staticText>
				<reportElement x="6" y="239" width="169" height="14" uuid="f49dc8cf-0e15-4cb8-893d-1f410517fbf6">
					<printWhenExpression><![CDATA[$P{CONT_ESPECIAL}!=null]]></printWhenExpression>
				</reportElement>
				<textElement verticalAlignment="Middle">
					<font size="8" isBold="true"/>
				</textElement>
				<text><![CDATA[Contribuyente Especial Nro ]]></text>
			</staticText>
			<staticText>
				<reportElement x="6" y="253" width="187" height="14" uuid="377a8104-9c05-4ecd-a343-ac9ed26f2390"/>
				<textElement verticalAlignment="Middle">
					<font size="8" isBold="true"/>
				</textElement>
				<text><![CDATA[Obligado a llevar contabilidad]]></text>
			</staticText>
			<rectangle>
				<reportElement mode="Transparent" x="0" y="273" width="554" height="59" uuid="ffca5ec8-b180-4ffe-a270-70e77257d27f"/>
			</rectangle>
			<textField>
				<reportElement mode="Transparent" x="238" y="95" width="327" height="20" uuid="a9e4f22d-6cc2-457b-bb6f-a030e72e24be"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="5" isBold="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{NUM_AUT}==null?"NO ENVIADO":$P{NUM_AUT}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement mode="Transparent" x="401" y="117" width="130" height="26" uuid="08b9c6a5-3ee0-455c-a4b4-908c6f23946c"/>
				<textElement verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[($P{FECHA_AUT} ==null)?"NO ENVIADO":$P{FECHA_AUT}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement mode="Transparent" x="358" y="169" width="190" height="20" uuid="7194d4aa-f5ff-4968-a669-66986585a501"/>
				<textElement verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$P{TIPO_EMISION}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement mode="Transparent" x="366" y="7" width="182" height="20" uuid="d52d5424-6667-4890-a2e8-74ac3da94ef2"/>
				<textElement verticalAlignment="Middle">
					<font size="14"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{RUC}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement mode="Transparent" x="244" y="242" width="321" height="20" uuid="9c92c445-ea6a-48dd-805e-516f8b44d6d5"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="5" isBold="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{CLAVE_ACC}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement x="7" y="119" width="248" height="13" uuid="a47536ca-59fb-4ddd-992a-023bc9134958"/>
				<textElement>
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{RAZON_SOCIAL}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement x="57" y="162" width="193" height="29" uuid="75b51905-f406-45f9-8081-f8f96a76f164"/>
				<textElement verticalAlignment="Top">
					<font size="7" isBold="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{DIR_MATRIZ}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement x="59" y="203" width="189" height="35" uuid="d52207d8-d465-4fe4-ba28-3dadd03162f0"/>
				<textElement verticalAlignment="Top">
					<font size="7" isBold="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{DIR_SUCURSAL}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement x="193" y="239" width="63" height="14" uuid="c252d3f7-bf8f-467b-965b-16d6e9f2e2c0"/>
				<textElement textAlignment="Left" verticalAlignment="Middle">
					<font size="7" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{CONT_ESPECIAL}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement x="193" y="254" width="51" height="14" uuid="0d053631-1d67-4ec5-90b0-8b05cd35900c"/>
				<textElement verticalAlignment="Middle">
					<font size="7" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{LLEVA_CONTABILIDAD}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement mode="Opaque" x="5" y="275" width="333" height="18" uuid="c0dd5439-e9b9-4e67-a740-36b13464090d"/>
				<textElement verticalAlignment="Middle">
					<font size="9" isBold="true"/>
				</textElement>
				<text><![CDATA[Razón Social / Nombres y Apellidos:]]></text>
			</staticText>
			<staticText>
				<reportElement mode="Transparent" x="339" y="273" width="84" height="18" uuid="01eebb49-c6e9-4913-a3a1-9dfc22f724fe"/>
				<textElement verticalAlignment="Middle">
					<font size="9" isBold="true"/>
				</textElement>
				<text><![CDATA[Identificación:]]></text>
			</staticText>
			<staticText>
				<reportElement mode="Transparent" x="4" y="313" width="109" height="15" uuid="5ca2ea97-a22c-4f1e-bab7-5917dc51e0f2"/>
				<textElement>
					<font size="9" isBold="true"/>
				</textElement>
				<text><![CDATA[Fecha Emisión:]]></text>
			</staticText>
			<staticText>
				<reportElement mode="Transparent" x="339" y="313" width="82" height="14" uuid="e50418a3-b9e8-4b24-b82d-c1c674b7659b"/>
				<textElement>
					<font size="9" isBold="true"/>
				</textElement>
				<text><![CDATA[Guía Remisión:]]></text>
			</staticText>
			<textField isStretchWithOverflow="true">
				<reportElement mode="Transparent" x="4" y="294" width="330" height="14" uuid="d1363f73-955d-4647-94af-250d4cd54343"/>
				<textElement verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$P{RS_COMPRADOR}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement mode="Transparent" x="339" y="293" width="173" height="18" uuid="6b3d40d1-1cd3-4005-9137-d10025cceb0a"/>
				<textElement verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$P{RUC_COMPRADOR}]]></textFieldExpression>
			</textField>
			<textField pattern="dd/MM/yy">
				<reportElement mode="Transparent" x="119" y="313" width="114" height="15" uuid="37f8db3c-2afb-44e3-b7bb-f4e47fe7df8d"/>
				<textElement>
					<font size="9"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{FECHA_EMISION}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement mode="Transparent" x="423" y="312" width="125" height="15" uuid="cdef887a-fbc3-4baf-a631-63978a02d717"/>
				<textElement>
					<font size="9"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{GUIA}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement x="334" y="50" width="156" height="20" uuid="4ccd0513-e579-4d3e-8e25-be0edd4aa1c2"/>
				<textElement verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$P{NUM_FACT}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement mode="Transparent" x="303" y="50" width="28" height="20" uuid="3f148fbe-7db4-4f96-8157-36b95eef929d"/>
				<textElement verticalAlignment="Middle">
					<font size="12" isBold="true"/>
				</textElement>
				<text><![CDATA[No.]]></text>
			</staticText>
			<staticText>
				<reportElement mode="Transparent" x="302" y="146" width="63" height="20" uuid="24dc0d83-de80-4877-9a54-af5d45d767d0"/>
				<textElement verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<text><![CDATA[AMBIENTE:]]></text>
			</staticText>
			<staticText>
				<reportElement mode="Transparent" x="303" y="169" width="55" height="20" uuid="d7cd7b43-f4a4-49e3-ae15-9cb48c168713"/>
				<textElement verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<text><![CDATA[EMISIÓN:]]></text>
			</staticText>
			<textField>
				<reportElement x="366" y="146" width="182" height="20" uuid="ce7a95a1-72a1-4386-927d-2c2fb3fa0dd0"/>
				<textElement verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$P{AMBIENTE}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement x="7" y="143" width="249" height="13" uuid="279c88b1-536f-4e47-9ed9-bfe990bcd56b"/>
				<textElement>
					<font size="7"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{NOM_COMERCIAL}]]></textFieldExpression>
			</textField>
		</band>
	</title>
	<pageHeader>
		<band splitType="Stretch"/>
	</pageHeader>
	<columnHeader>
		<band height="28" splitType="Stretch">
			<rectangle>
				<reportElement mode="Transparent" x="0" y="0" width="555" height="28" uuid="86ee8a05-8167-41ed-9db0-134263408586"/>
			</rectangle>
			<staticText>
				<reportElement mode="Transparent" x="2" y="0" width="37" height="28" uuid="234b2bce-1a99-485d-8291-55bffdbd4402"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8" isBold="true"/>
				</textElement>
				<text><![CDATA[Cod.]]></text>
			</staticText>
			<staticText>
				<reportElement mode="Transparent" x="53" y="0" width="34" height="28" uuid="9daed0bc-6296-437d-9461-f94edc3c8572"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8" isBold="true"/>
				</textElement>
				<text><![CDATA[Cant]]></text>
			</staticText>
			<staticText>
				<reportElement x="382" y="1" width="53" height="24" uuid="8a438748-c4be-4ef4-9cdb-ba31aeeb4cb8"/>
				<textElement textAlignment="Center" verticalAlignment="Bottom">
					<font size="8" isBold="true"/>
				</textElement>
				<text><![CDATA[Precio Unitario]]></text>
			</staticText>
			<staticText>
				<reportElement mode="Transparent" x="487" y="6" width="69" height="13" uuid="33ad1e5c-c31e-422e-81fa-b8112f1bbf8e"/>
				<textElement textAlignment="Center" verticalAlignment="Bottom">
					<font size="8" isBold="true"/>
				</textElement>
				<text><![CDATA[PrecioTotal]]></text>
			</staticText>
			<line>
				<reportElement mode="Opaque" x="40" y="0" width="1" height="28" uuid="95258515-762a-47f5-8bc8-ea2163f0f894"/>
			</line>
			<line>
				<reportElement mode="Opaque" x="380" y="0" width="1" height="28" uuid="e02d2368-20da-4b0d-9163-dc822d8d64eb"/>
			</line>
			<line>
				<reportElement mode="Opaque" x="488" y="0" width="1" height="28" uuid="2c5bd992-4b28-4727-b4da-b5a8bb30ff2a"/>
			</line>
			<staticText>
				<reportElement x="176" y="7" width="89" height="13" uuid="437eff02-4178-42dc-b930-1d5a7415d0cd"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8" isBold="true"/>
				</textElement>
				<text><![CDATA[Descripción]]></text>
			</staticText>
			<line>
				<reportElement mode="Opaque" x="436" y="0" width="1" height="28" uuid="fc9ec839-53da-4ef9-a985-82b9b9215953"/>
			</line>
			<staticText>
				<reportElement x="435" y="6" width="55" height="14" uuid="6ed714b5-9a8b-4f9d-b682-96e273a9fdd6"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8" isBold="true"/>
				</textElement>
				<text><![CDATA[Descuento]]></text>
			</staticText>
			<line>
				<reportElement mode="Opaque" x="102" y="0" width="1" height="28" uuid="7c39c14e-940a-479c-8121-be5543c2bb73"/>
			</line>
		</band>
	</columnHeader>
	<detail>
		<band height="25" splitType="Stretch">
			<rectangle>
				<reportElement mode="Transparent" x="0" y="0" width="555" height="25" uuid="cf2abc24-11dd-4a65-bf79-79a751c365ff"/>
			</rectangle>
			<textField isBlankWhenNull="true">
				<reportElement mode="Transparent" x="41" y="0" width="61" height="21" uuid="44769957-9ef0-468b-8f2f-41423e435d0d"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="7"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{cantidad}]]></textFieldExpression>
			</textField>
			<line>
				<reportElement mode="Opaque" x="40" y="0" width="1" height="25" uuid="5ca43ca6-b23e-4952-8caa-8f646383c515"/>
			</line>
			<line>
				<reportElement mode="Opaque" x="380" y="0" width="1" height="25" uuid="d9bd07ff-4448-49de-925f-84fb4fe832c8"/>
			</line>
			<line>
				<reportElement x="488" y="0" width="1" height="25" uuid="589f864e-8c8f-40a6-beda-a700fff5b5b8"/>
			</line>
			<textField isBlankWhenNull="true">
				<reportElement mode="Transparent" x="490" y="0" width="62" height="24" uuid="f63fd3cb-46f5-43fb-82ff-8d37ea1088f2"/>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font size="7"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{precioTotalSinImpuesto}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement mode="Transparent" x="3" y="0" width="34" height="24" uuid="0913408d-d2fa-46eb-b8d6-3b7629b66036"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="7"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{codigoPrincipal}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement x="104" y="1" width="273" height="24" uuid="9315ec93-9bfa-4998-b5d6-8ea451958ef5"/>
				<textElement verticalAlignment="Middle">
					<font size="7"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{descripcion}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement mode="Transparent" x="381" y="2" width="53" height="22" uuid="132f28bb-28e5-4f55-b209-f1e1cd448f49"/>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font size="7"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{precioUnitario}]]></textFieldExpression>
			</textField>
			<line>
				<reportElement mode="Opaque" x="436" y="0" width="1" height="25" uuid="5c3dca35-8e1c-485e-8476-6085688528bc"/>
			</line>
			<textField>
				<reportElement x="437" y="2" width="49" height="22" uuid="c1a21a26-630b-4828-8b97-b47eb6222a1d"/>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font size="7"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{descuento}]]></textFieldExpression>
			</textField>
			<line>
				<reportElement mode="Opaque" x="102" y="0" width="1" height="25" uuid="8709e69f-486b-42cb-9328-aec72a461452"/>
			</line>
		</band>
	</detail>
	<columnFooter>
		<band splitType="Stretch"/>
	</columnFooter>
	<pageFooter>
		<band splitType="Stretch"/>
	</pageFooter>
	<summary>
		<band height="175" splitType="Stretch">
			<rectangle>
				<reportElement mode="Transparent" x="488" y="125" width="67" height="15" uuid="123dd4e9-5db3-4d54-8b1b-7df6f8df5ea5"/>
			</rectangle>
			<rectangle>
				<reportElement mode="Transparent" x="358" y="5" width="130" height="15" uuid="adde0512-12f2-4214-91c5-e80eed55375c"/>
			</rectangle>
			<rectangle>
				<reportElement mode="Transparent" x="488" y="80" width="67" height="15" uuid="dea5fd29-16d7-485a-9472-3d7f97eb1916"/>
			</rectangle>
			<rectangle>
				<reportElement mode="Transparent" x="358" y="80" width="130" height="15" uuid="a094ec2c-59c1-4d6e-ab76-f8e611bb5aac"/>
			</rectangle>
			<rectangle>
				<reportElement mode="Transparent" x="1" y="5" width="355" height="165" uuid="868d1434-2747-4e91-81eb-ff6f8e8bad8d"/>
			</rectangle>
			<staticText>
				<reportElement x="41" y="13" width="152" height="13" uuid="475d8009-7373-46e0-b307-7d9cb377d8d9"/>
				<textElement>
					<font isBold="true"/>
				</textElement>
				<text><![CDATA[Información Adicional]]></text>
			</staticText>
			<subreport runToBottom="false">
				<reportElement isPrintRepeatedValues="false" mode="Transparent" x="2" y="32" width="354" height="36" isRemoveLineWhenBlank="true" uuid="0b3b923e-2ebc-4342-aead-45ed37fc5d50">
					<printWhenExpression><![CDATA[$F{infoAdicional}!=null]]></printWhenExpression>
				</reportElement>
				<dataSourceExpression><![CDATA[new net.sf.jasperreports.engine.data.JRBeanCollectionDataSource($F{infoAdicional})]]></dataSourceExpression>
				<subreportExpression><![CDATA[$P{SUBREPORT_DIR} + "facturaInfoAdicional.jasper"]]></subreportExpression>
			</subreport>
			<rectangle>
				<reportElement mode="Transparent" x="358" y="95" width="130" height="15" uuid="e9b53dad-efa4-4092-bd5e-af3dad4f3e5d"/>
			</rectangle>
			<rectangle>
				<reportElement mode="Transparent" x="358" y="65" width="130" height="15" uuid="330c438a-a501-4ac7-9a54-20aadbd96385"/>
			</rectangle>
			<rectangle>
				<reportElement mode="Transparent" x="358" y="125" width="130" height="15" uuid="ea3b608f-9317-4f37-8060-8624c24dbbba"/>
			</rectangle>
			<rectangle>
				<reportElement mode="Transparent" x="358" y="20" width="130" height="15" uuid="f3c19f32-2f60-4285-bd6e-c4a8b87c18ab"/>
			</rectangle>
			<rectangle>
				<reportElement mode="Transparent" x="358" y="35" width="130" height="15" uuid="db690507-715d-4ccd-8b23-158efae52a08"/>
			</rectangle>
			<staticText>
				<reportElement mode="Transparent" x="364" y="20" width="114" height="15" uuid="f53b5888-5338-4169-b3ac-fe26f87ef609"/>
				<textElement verticalAlignment="Middle">
					<font size="8" isBold="false"/>
				</textElement>
				<text><![CDATA[Subtotal 0%]]></text>
			</staticText>
			<staticText>
				<reportElement mode="Transparent" x="364" y="80" width="108" height="15" uuid="98662bb7-1a91-4ea2-8f14-cb064cc5da8d"/>
				<textElement verticalAlignment="Middle">
					<font size="8" isBold="false"/>
				</textElement>
				<text><![CDATA[Total Descuento]]></text>
			</staticText>
			<staticText>
				<reportElement mode="Transparent" x="364" y="65" width="115" height="15" uuid="681ae124-584e-4982-b7bd-d2f4bae6aa4f"/>
				<textElement verticalAlignment="Middle">
					<font size="8" isBold="false"/>
				</textElement>
				<text><![CDATA[Subtotal sin Impuestos]]></text>
			</staticText>
			<staticText>
				<reportElement mode="Transparent" x="364" y="110" width="95" height="15" uuid="1a4faae2-c7c0-4e7a-8114-f1cf639de60f"/>
				<textElement verticalAlignment="Middle">
					<font size="8" isBold="false"/>
				</textElement>
				<text><![CDATA[IVA 12%]]></text>
			</staticText>
			<staticText>
				<reportElement mode="Transparent" x="364" y="155" width="86" height="15" uuid="171715a6-c80c-4283-923e-5e0211e0116d"/>
				<textElement verticalAlignment="Middle">
					<font size="8" isBold="true"/>
				</textElement>
				<text><![CDATA[VALOR TOTAL]]></text>
			</staticText>
			<rectangle>
				<reportElement mode="Transparent" x="488" y="5" width="67" height="15" uuid="b4db0d53-17de-4a7f-a05b-37609ae90a3e"/>
			</rectangle>
			<rectangle>
				<reportElement mode="Transparent" x="488" y="35" width="67" height="15" uuid="f8ee8c34-2ac6-4254-bbe1-faa2d0a45e6f"/>
			</rectangle>
			<rectangle>
				<reportElement mode="Transparent" x="488" y="20" width="67" height="15" uuid="e8822ae1-0376-4273-9d37-0782760a4e4e"/>
			</rectangle>
			<rectangle>
				<reportElement mode="Transparent" x="488" y="65" width="67" height="15" uuid="ae661d50-7553-4db6-a975-db6ff3f16658"/>
			</rectangle>
			<rectangle>
				<reportElement mode="Transparent" x="488" y="95" width="67" height="15" uuid="51419b4a-eec0-4974-a270-914b8da43f51"/>
			</rectangle>
			<textField>
				<reportElement mode="Transparent" x="489" y="20" width="63" height="15" uuid="dce377b4-e029-48d3-89cb-3789939d4242"/>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font size="7"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{IVA_0}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement mode="Transparent" x="488" y="110" width="63" height="15" uuid="80077e01-2216-4659-9ca4-a9ded8b50570"/>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font size="7"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{IVA}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement mode="Transparent" x="364" y="95" width="87" height="15" uuid="93e56577-a5ed-4d8c-9c86-4996f2c073a8"/>
				<textElement verticalAlignment="Middle">
					<font size="8"/>
				</textElement>
				<text><![CDATA[ICE]]></text>
			</staticText>
			<textField>
				<reportElement mode="Transparent" x="492" y="95" width="60" height="15" uuid="bb2f848d-3b2b-4848-a66f-d80b4b8d2739"/>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font size="7"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{ICE}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement mode="Transparent" x="493" y="155" width="58" height="15" uuid="13e0090b-2a5e-4032-a1e3-48b50fc9557d"/>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font size="7"/>
				</textElement>
				<textFieldExpression><![CDATA[""+$P{VALOR_TOTAL}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement mode="Transparent" x="495" y="65" width="57" height="15" uuid="91dc2be0-843d-4a7a-8dd7-d3889bedf2c5"/>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font size="7"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{SUBTOTAL}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="364" y="7" width="122" height="15" uuid="de86bcf3-541a-4b4d-a901-78f1bee98189"/>
				<textElement verticalAlignment="Middle">
					<font size="8" isBold="false"/>
				</textElement>
				<text><![CDATA[Subtotal IVA 12%]]></text>
			</staticText>
			<textField>
				<reportElement mode="Transparent" x="488" y="5" width="64" height="15" uuid="c14c7ddc-0894-4643-a85c-abd37aeaa14f"/>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font size="7"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{IVA_12}]]></textFieldExpression>
			</textField>
			<rectangle>
				<reportElement mode="Transparent" x="358" y="50" width="130" height="15" uuid="4b024010-c994-4d3e-93a4-186f0fbaab32"/>
			</rectangle>
			<staticText>
				<reportElement mode="Transparent" x="364" y="36" width="122" height="15" uuid="717305f2-86e1-4347-936b-4c9121c5f083"/>
				<textElement verticalAlignment="Middle">
					<font size="8" isBold="false"/>
				</textElement>
				<text><![CDATA[Subtotal no objeto IVA]]></text>
			</staticText>
			<rectangle>
				<reportElement mode="Transparent" x="488" y="50" width="67" height="15" uuid="76414290-9bb6-47e7-91eb-712c937dce76"/>
			</rectangle>
			<rectangle>
				<reportElement mode="Transparent" x="358" y="110" width="130" height="15" uuid="ead480cf-b50f-47a5-aecb-1f3133925536"/>
			</rectangle>
			<staticText>
				<reportElement mode="Transparent" x="364" y="140" width="86" height="15" uuid="38b9be8f-bf96-4ab2-b8fa-7c099c1a34a0"/>
				<textElement verticalAlignment="Middle">
					<font size="8" isBold="false"/>
				</textElement>
				<text><![CDATA[Propina]]></text>
			</staticText>
			<rectangle>
				<reportElement mode="Transparent" x="488" y="110" width="67" height="15" uuid="0025b29a-5666-4ebe-9ce3-4c6743b8f640"/>
			</rectangle>
			<textField>
				<reportElement mode="Transparent" x="489" y="141" width="63" height="14" uuid="a41c3d7e-383b-4594-a0b4-be04e05389f6"/>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font size="7"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{PROPINA}==null?"0":$P{PROPINA}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement mode="Transparent" x="491" y="35" width="61" height="15" uuid="a9df8c8a-41fd-45e2-8516-296c2887995a"/>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font size="7"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{NO_OBJETO_IVA}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement mode="Transparent" x="492" y="80" width="59" height="15" uuid="f3635517-ec39-4ca4-8949-4b62e87148cd"/>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font size="7"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{TOTAL_DESCUENTO}]]></textFieldExpression>
			</textField>
			<rectangle>
				<reportElement mode="Transparent" x="358" y="140" width="130" height="15" uuid="d7f7f4ef-daff-4dcc-9fc8-03d90b60492c"/>
			</rectangle>
			<rectangle>
				<reportElement mode="Transparent" x="488" y="140" width="67" height="15" uuid="521d1b5a-fa95-4531-943a-16aa0ec3a697"/>
			</rectangle>
			<rectangle>
				<reportElement mode="Transparent" x="358" y="155" width="130" height="15" uuid="ecdd0397-e06f-4cc4-a876-b1fa156e789c"/>
			</rectangle>
			<rectangle>
				<reportElement mode="Transparent" x="488" y="155" width="67" height="15" uuid="4e949672-2a2a-4e5f-8507-3087394c0628"/>
			</rectangle>
			<staticText>
				<reportElement mode="Transparent" x="364" y="51" width="122" height="15" uuid="54537bfd-cca7-4ff8-953a-61ef9b769a00"/>
				<textElement verticalAlignment="Middle">
					<font size="8" isBold="false"/>
				</textElement>
				<text><![CDATA[Subtotal exento IVA]]></text>
			</staticText>
			<staticText>
				<reportElement mode="Transparent" x="364" y="125" width="87" height="15" uuid="66c820a7-d01c-4599-812f-eaf8d8fa32ce"/>
				<textElement verticalAlignment="Middle">
					<font size="8"/>
				</textElement>
				<text><![CDATA[IRBPNR]]></text>
			</staticText>
			<textField>
				<reportElement mode="Transparent" x="491" y="125" width="61" height="15" uuid="f8e629fa-83e4-483d-aac1-d70cc04c6d5f"/>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font size="7"/>
				</textElement>
				<textFieldExpression><![CDATA[0]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement mode="Transparent" x="491" y="50" width="61" height="15" uuid="506f4f46-12aa-4231-bd31-09e386e81494"/>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font size="7"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{EXENTO_IVA}]]></textFieldExpression>
			</textField>
		</band>
	</summary>
</jasperReport>
